Subject: Re: [PATCH 02/11] t: allow skipping expected object ID in `ref-store update-ref`

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Oct 2023 12:06:14 -0700

Patrick Steinhardt <[email-masked]> writes:

>> Good.
>> 
>> Even better would be to make the old one optional, though.
>
> I was also a bit torn when writing this. We could of course make the
> behaviour conditional on whether `argc` is 4 or 5. But I wasn't quite
> sure how important it is to provide a nice UI for this test helper, and
> we don't have `argc` readily available. It's not hard to count them
> manually, but until now I was under the impression that the test helpers
> only need to be "good enough".

Yup, good enough would probably be good enough in this case, I agree
;-)